﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace UpdateValueOnTextChangeWithPropertyGridSample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.RadPropertyGrid1.AutoGeneratingPropertyDefinition += new EventHandler<Telerik.Windows.Controls.Data.PropertyGrid.AutoGeneratingPropertyDefinitionEventArgs>(RadPropertyGrid1_AutoGeneratingPropertyDefinition);
			this.RadPropertyGrid1.Item = new Person();
		}

		void RadPropertyGrid1_AutoGeneratingPropertyDefinition(object sender, Telerik.Windows.Controls.Data.PropertyGrid.AutoGeneratingPropertyDefinitionEventArgs e)
		{
			if (e.PropertyDefinition.Binding.Path.Path == "FirstName")
			{
				e.PropertyDefinition.EditorTemplate = this.LayoutRoot.Resources["MyTemplate"] as DataTemplate;
			}
		}
	}

	public class Person
	{
		private string firstName;

		public string FirstName
		{
			get { return firstName; }
			set 
			{
				firstName = value; 
			}
		}
	}
}
